Home | All Classes | Grouped Classes | Index | Search

# Class CL_Resource

Interface for accessing a resource in the resource manager. More...

Derived from: none
Derived by: none
Group: Core (Resources)

#include <ClanLib/core.h>

Construction:

CL_Resource | Resource constructor.

Attributes:

get_type | Returns the type of the resource.
get_name | Returns the name of the resource.
get_element | Returns the resource DOM element.
get_manager | Returns the resource manager.
get_data | Returns the data with the matching name.
get_reference_count | Returns the current reference count.

Operations:

attach_data | Attach some data to the resource.
detach_data | Detach some data from the resource.
unload | Unloads the resource from memory.
load | Loads the resource, using the prefered source as specified by the resource manager.

Detailed description:

!group=Core/Resources! !header=core.h!
Questions or comments, write to the ClanLib mailing list.